summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChanwoo Choi <cw00.choi@samsung.com>2014-10-31 20:33:26 +0900
committerMarek Szyprowski <m.szyprowski@samsung.com>2016-05-16 09:17:26 +0200
commit57e5920fed6175af5857ef5b8d001b7ac9207859 (patch)
tree55de319e55608e3651e2d48380e843f0e6c60406
parentb798bfc79674a7f0cb22bf8a08d1922159420749 (diff)
downloadlinux-exynos-57e5920fed6175af5857ef5b8d001b7ac9207859.tar.gz
linux-exynos-57e5920fed6175af5857ef5b8d001b7ac9207859.tar.bz2
linux-exynos-57e5920fed6175af5857ef5b8d001b7ac9207859.zip
LOCAL / tools: Add build script for Exynos5433 SoC
This patch adds build script to build the kernel for Exynos5433-based board. Signed-off-by: Chanwoo Choi <cw00.choi@samsung.com>
-rwxr-xr-xbuild-kernel-exynos5433.sh31
-rwxr-xr-xtools/dtbtoolbin0 -> 42204 bytes
-rwxr-xr-xtools/mkbootimgbin0 -> 29016 bytes
-rw-r--r--usr/ramdisk.imgbin0 -> 4096 bytes
4 files changed, 31 insertions, 0 deletions
diff --git a/build-kernel-exynos5433.sh b/build-kernel-exynos5433.sh
new file mode 100755
index 000000000000..98864a395009
--- /dev/null
+++ b/build-kernel-exynos5433.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+# Check this system has ccache
+check_ccache()
+{
+ type ccache
+ if [ "$?" -eq "0" ]; then
+ CCACHE=ccache
+ fi
+}
+
+check_ccache
+
+rm output/linux-4-0-exynos5433-arm64.tar
+if ! [ -d output ] ; then
+ mkdir output
+fi
+
+if ! [ -e .config ] ; then
+ make ARCH=arm64 CROSS_COMPILE=aarch64-linux-gnu- defconfig
+fi
+
+make ARCH=arm64 CROSS_COMPILE=aarch64-linux-gnu- -j8
+make ARCH=arm64 CROSS_COMPILE=aarch64-linux-gnu- dtbs
+
+tools/dtbtool -o output/dt.img arch/arm64/boot/dts/exynos/
+cp arch/arm64/boot/Image output/kernel
+
+tools/mkbootimg --kernel output/kernel --ramdisk usr/ramdisk.img --output output/boot.img --dt output/dt.img
+cd output
+tar cf linux-4-0-exynos5433-arm64.tar boot.img
diff --git a/tools/dtbtool b/tools/dtbtool
new file mode 100755
index 000000000000..863e71c17dd6
--- /dev/null
+++ b/tools/dtbtool
Binary files differ
diff --git a/tools/mkbootimg b/tools/mkbootimg
new file mode 100755
index 000000000000..a5ff61720c93
--- /dev/null
+++ b/tools/mkbootimg
Binary files differ
diff --git a/usr/ramdisk.img b/usr/ramdisk.img
new file mode 100644
index 000000000000..08e7df176454
--- /dev/null
+++ b/usr/ramdisk.img
Binary files differ